#!/usr/bin/python3
# -*- coding: utf-8 -*-
#
# htmlTitle.py: liest die erste Zeile der Markdown-Datei, die als Parameter übergeben wurde.
# In der ersten Zeile steht der Titel der Html-Datei
# Im Template 'head.temp' wird die Variable 'sitetitle' durch den Titel in der
# Markdown-Datei ersetzt. Danach wird das Template als 'head.html' gespeichert.
# Vers. 001, 2023-07-26
#########################

import os.path
import sys
import os
import codecs
from string import Template

md_file = sys.argv[1]

#print( md_file)

pfad = "." + os.sep   # anpassen!!

htmlTitle = open(pfad + md_file).readline().rstrip()

print( htmlTitle )
 
#######################

htmlSite  = ''

try:  # generate the HTML-content > head.html

    templatePath = "." + os.sep 
    templateFileName = 'head.temp'
    templateFile = codecs.open(templatePath + templateFileName,"r", "utf-8")            


    ## >>>  Templates funktionieren nur zeilenweise!!!
    for line in templateFile:
        tLine = Template(line)
        htmlSite = htmlSite + tLine.substitute( sitetitle=htmlTitle )
    
    templateFile.close()
except:
    pass

#print( str(htmlSite) )

#######################

htmlDatei='head.html'

datei = pfad+htmlDatei
out_file = open(datei,"w")
out_file.write(htmlSite)
out_file.close()

#######################
