## tkQRcode3

* * *

<ul id="toc"></ul>

* * *

### About

`tkQRcode3` is a simple tk-script to generate QR codes.


* * *

### Screenshot

![](./tkQRcode3.png)

* * *

### Download

* [tkQRcode3.zip](http://mmp.wspnet.de/tkQRcode3.zip), Vers. 002, 2023-04-17

* * *

### HowTo

* **IN**: the message converted to the QR code, for example a URL.

* **OUT**: the QR-code as `png`-file

* **size**: determines the size of the QR image

* **opacity**: determines the transparency of the QR image

* **rgb**: sets the color of the QR image

* **bg-rgb**: sets the background-color of the QR image

* Button **\_QR\_**: generate the QR code

* Button **Color-Chooser**: select a color for the QR code

* Button **\_init\_**: reset the values to default values


* * * 

### Requirements

* **[python 3.x](https://www.python.org/downloads/)**

* `pypng`  from D Jones,  see <https://gitlab.com/drj11/pypng> 

* `pyqrcode` from Michael Nooner, see <https://github.com/mnooner256/pyqrcode>

* * *

### Installation

* Unzip the archive [tkQRcode3.zip](http://mmp.wspnet.de/tkQRcode3.zip), note the [requirements](./index.html#requirements) and click on `start.sh` (Linux) or `start.bat` (Windows).

* * *

### Notes

* `tkQRcode3` is a **[python 3.x](https://www.python.org/downloads/)**-script tested under Linux 

* * * *

### License 

Copyright (C) 2023 Walter Spiegel

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 

URL: [The MIT License (MIT)](https://mit-license.org/)

* * *

&rarr; <small>sp, 2023-04-17, Mail: `walter [dot] spiegel [at] web [dot] de`

* * *

<script type="text/javascript" src="themes/toc.js">  </script>
  <script type="text/javascript">  
     generateTOC();
</script>
